From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kdbg/
Date: Sun, 16 Oct 2016 12:49:14 +0000 (UTC) [thread overview]
Message-ID: <1476622146.2c83c50afb29e6e5aaa99614f2df217b1f9e91ba.johu@gentoo> (raw)
commit: 2c83c50afb29e6e5aaa99614f2df217b1f9e91ba
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 16 12:47:23 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Oct 16 12:49:06 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c83c50a
dev-util/kdbg: Version bump 2.5.6
Package-Manager: portage-2.3.2
dev-util/kdbg/Manifest | 1 +
dev-util/kdbg/kdbg-2.5.6.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-util/kdbg/Manifest b/dev-util/kdbg/Manifest
index d2dc0b1..e2b506d 100644
--- a/dev-util/kdbg/Manifest
+++ b/dev-util/kdbg/Manifest
@@ -1 +1,2 @@
DIST kdbg-2.5.5.tar.gz 417327 SHA256 983e4c89258d752f42449e2d257c9e40352b516328132ca5b0b1991b91878879 SHA512 f855063c0ea55a624ced3d6ff52466bc7240e2b79d76b43d73d224348f1b7c179fd1d53391e0e7039a2222659b7d6c3aba9f423f565b073073d636c28cc323f6 WHIRLPOOL 2fc9f7d092e3584216701bee57b11982c0ab4047090de3e43d1136ac5b8dd86e39a12db7f89e6664adf4e477cecdc4217421161c1458b75d5ff65180b8b89108
+DIST kdbg-2.5.6.tar.gz 418080 SHA256 69e0bdf8116cb11912b38cf248b7a1dbb8f36e4dc35b4a498043234979c724cb SHA512 2e8f8b98bed2f77b7a20f67e9d0750e508450b29ee6fdbfd35cc87b345021c8971411d67735906c36a7507ddd8424e20ca76c438412125784d79059ec21d5b87 WHIRLPOOL 880ed965d18f919e9123d75722e447a3327e6f944e2440537f115dc66b2b1777718797b7aee29c93e223458f4d2ab0db656f448aba17bb900e04f63ec19ca661
diff --git a/dev-util/kdbg/kdbg-2.5.6.ebuild b/dev-util/kdbg/kdbg-2.5.6.ebuild
new file mode 100644
index 00000000..e49d06c
--- /dev/null
+++ b/dev-util/kdbg/kdbg-2.5.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_LINGUAS="cs da de es fr hr hu it ja nb nn pl pt ro ru sk sr sv tr zh_CN"
+KDE_HANDBOOK="optional"
+inherit kde4-base
+
+DESCRIPTION="Graphical debugger interface"
+HOMEPAGE="http://www.kdbg.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND="sys-devel/gdb"
+DEPEND="${RDEPEND}"
+
+DOCS=( BUGS README ReleaseNotes-${PV} TODO )
+
+src_prepare() {
+ # allow documentation to be handled by eclass
+ mv kdbg/doc . || die
+ sed -i -e '/add_subdirectory(doc)/d' kdbg/CMakeLists.txt || die
+ echo "add_subdirectory ( doc ) " >> CMakeLists.txt || die
+ kde4-base_src_prepare
+}
+
+src_install() {
+ kde4-base_src_install
+
+ # hack since ChangeLog-* is automagically installed by eclass
+ rm -f "${ED}"usr/share/doc/${PF}/ChangeLog-pre*
+}
next reply other threads:[~2016-10-16 12:49 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-16 12:49 Johannes Huber [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-07 14:26 [gentoo-commits] repo/gentoo:master commit in: dev-util/kdbg/ Sebastian Pipping
2023-02-24 12:23 Jakov Smolić
2021-11-07 17:23 Andreas Sturmlechner
2020-05-20 22:18 Andreas Sturmlechner
2020-01-03 22:58 Andreas Sturmlechner
2019-12-09 11:21 Andreas Sturmlechner
2019-04-03 15:18 Andreas Sturmlechner
2018-12-16 16:01 Andreas Sturmlechner
2017-12-12 23:04 Andreas Sturmlechner
2017-12-12 23:04 Andreas Sturmlechner
2017-10-15 12:23 Andreas Sturmlechner
2017-08-26 12:22 Michael Palimaka
2017-08-26 12:22 Michael Palimaka
2017-01-18 13:19 Michael Palimaka
2015-11-29 16:24 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1476622146.2c83c50afb29e6e5aaa99614f2df217b1f9e91ba.johu@gentoo \
--to=johu@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox